From 2f4fdf258eee1afab27065bcf5dce70ec6cd70bf Mon Sep 17 00:00:00 2001
From: Sean McGovern <gseanmcg@gmail.com>
Date: Mon, 29 Nov 2010 20:06:58 -0500
Subject: [PATCH 2/2] detect GNU as and set ASFLAGS as appropriate

---
 configure |   21 +++++++++++++++++++--
 1 files changed, 19 insertions(+), 2 deletions(-)

diff --git a/configure b/configure
index 27e9e69..f4844f1 100755
--- a/configure
+++ b/configure
@@ -502,6 +502,13 @@ fi
 [ $asm = no ] && AS=""
 [ "x$AS" = x ] && asm="no" || asm="yes"
 
+# check for GNU as
+non_gnu_as="yes"
+if [ "$asm" != "no" ]; then
+    AS_TYPE=`$AS --version 2>$DEVNULL | head -n 1 | awk '{ print $1; }'`
+    [ "x$AS_TYPE" = "xGNU" ] && non_gnu_as="no"
+fi
+
 define ARCH_$ARCH
 define SYS_$SYS
 
@@ -732,11 +739,21 @@ fi
 
 if [ "$bit_depth" -gt "8" ]; then
     define HIGH_BIT_DEPTH
-    ASFLAGS="$ASFLAGS -DHIGH_BIT_DEPTH"
+    if [ $non_gnu_as = yes ]; then
+        ASFLAGS="$ASFLAGS -DHIGH_BIT_DEPTH"
+    else
+        ASFLAGS="$ASFLAGS --defsym HIGH_BIT_DEPTH"
+    fi
 fi
 
 define BIT_DEPTH $bit_depth
-ASFLAGS="$ASFLAGS -DBIT_DEPTH=$bit_depth"
+if [ $non_gnu_as = yes ]; then
+    ASFLAGS="$ASFLAGS -DBIT_DEPTH=$bit_depth"
+    # tell Sun's assembler to run the preprocessor
+    [ "$SYS" = "SunOS" ] && ASFLAGS="$ASFLAGS -P"
+else
+    ASFLAGS="$ASFLAGS --defsym HIGH_BIT_DEPTH=$bit_depth"
+fi
 
 [ $gpl = yes ] && define HAVE_GPL
 
-- 
1.7.2
